Debian Bug report logs - #308397
manpages-dev: gethostbyname(3) should mention /etc/nsswitch.conf

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Guillaume Allegre <Guillaume.Allegre@alussinan.org>

Date: Tue, 10 May 2005 00:48:02 UTC

Severity: minor

Tags: fixed-upstream

Found in version 1.67-2

Fixed in version manpages/2.16-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#308397; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Guillaume Allegre <Guillaume.Allegre@alussinan.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guillaume Allegre <Guillaume.Allegre@alussinan.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: gethostbyname(3) should mention /etc/nsswitch.conf
Date: Tue, 10 May 2005 02:38:31 +0200
Package: manpages-dev
Version: 1.67-2
Severity: minor


The manual page gethostbyname(3) mentions in section FILES :
       /etc/host.conf
whereas it is deprecated and replaced by 
/etc/nsswitch.conf   in glibc >= 2.0



-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.8.1
Locale: LANG=C, LC_CTYPE=UTF-8 (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)

Versions of packages manpages-dev depends on:
ii  manpages                      1.67-2     Manual pages about using a GNU/Lin

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#308397; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Martin Schulze <joey@infodrom.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 308397@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 308397@bugs.debian.org
Subject: gethostbyname(3)
Date: Tue, 13 Dec 2005 10:12:25 +0100
Hi Michael,

now that /etc/host.conf is obsoleted it may be worth to add a
reference to /etc/nsswitch.conf to gethostbyname(3).  This is
Debian Bug#308397.

Index: man3/gethostbyname.3
===================================================================
RCS file: /var/cvs/debian/manpages/man3/gethostbyname.3,v
retrieving revision 1.13
diff -u -p -r1.13 gethostbyname.3
--- man3/gethostbyname.3	7 Dec 2005 05:58:39 -0000	1.13
+++ man3/gethostbyname.3	13 Dec 2005 09:09:18 -0000
@@ -231,6 +231,9 @@ resolver configuration file
 .TP
 .I /etc/hosts
 host database file
+.TP
+.I /etc/nsswitch.conf
+name service switch configuration
 .SH "CONFORMING TO"
 4.3BSD.
 .SH "SYSV/POSIX EXTENSION"
@@ -323,6 +326,7 @@ obsolescent. See
 .BR inet_pton (3),
 .BR resolver (3),
 .BR hosts (5),
+.BR nsswitch.conf (5),
 .BR hostname (7),
 .BR named (8),
 .BR resolv+ (8)

-- 
We all know Linux is great... it does infinite loops in 5 seconds.
        -- Linus Torvalds

Please always Cc to me when replying to me on the lists.



Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Guillaume Allegre <Guillaume.Allegre@alussinan.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 308397-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 308397-close@bugs.debian.org
Subject: Bug#308397: fixed in manpages 2.16-1
Date: Tue, 13 Dec 2005 01:47:07 -0800
Source: manpages
Source-Version: 2.16-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.16-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.16-1_all.deb
manpages_2.16-1.diff.gz
  to pool/main/m/manpages/manpages_2.16-1.diff.gz
manpages_2.16-1.dsc
  to pool/main/m/manpages/manpages_2.16-1.dsc
manpages_2.16-1_all.deb
  to pool/main/m/manpages/manpages_2.16-1_all.deb
manpages_2.16.orig.tar.gz
  to pool/main/m/manpages/manpages_2.16.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 308397@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 13 Dec 2005 10:18:31 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.16-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 214892 251122 308397 316517 319797 342176
Changes: 
 manpages (2.16-1) unstable; urgency=low
 .
   * New upstream release
   * Removed reference to resolv+ in resolver(3) (Closes: Bug#214892)
   * Corrected the formatting of the package description (Closes: Bug#342176)
   * Removed one reference to sigqueue() in kill(2) (Closes: Bug#319797)
   * Added resolver(5) to resolver(3) (Closes: Bug#251122)
   * Added nsswitch.conf to gethostbyname(3) (Closes: Bug#308397)
   * Removes superflous character in networks(5) (Closes: Bug#316517)
Files: 
 9b782113b3fcdbcf09f79b87310e9e65 584 doc - manpages_2.16-1.dsc
 56b5067c83748b642f22c2d6f9e3022a 1073552 doc - manpages_2.16.orig.tar.gz
 4058ca4e8cf83b29b02bbf0f18a82c07 50852 doc - manpages_2.16-1.diff.gz
 844e6487814133a7ca4ecae755853ce3 406694 doc important manpages_2.16-1_all.deb
 0d2421211b17b1ebb0ff75f1142aa871 1116100 doc standard manpages-dev_2.16-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDnpUGW5ql+IAeqTIRAreNAJ91kW/clRiaRznNuw0N6CWO2Tf2cACfRc4u
0Z+oVeFBckByglq9DEHjSSU=
=mjqX
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#308397; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #20 received at 308397@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Martin Schulze <joey@infodrom.org>,308397@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#308397: gethostbyname(3)
Date: Tue, 13 Dec 2005 16:27:13 +0100 (MET)
tags 308397 fixed-upstream
thanks

> Von: Martin Schulze <joey@infodrom.org>

Hi Joey,

> Datum: Tue, 13 Dec 2005 10:12:25 +0100
> now that /etc/host.conf is obsoleted it may be worth to add a
> reference to /etc/nsswitch.conf to gethostbyname(3).  This is
> Debian Bug#308397.
> 
> Index: man3/gethostbyname.3
> ===================================================================
> RCS file: /var/cvs/debian/manpages/man3/gethostbyname.3,v
> retrieving revision 1.13
> diff -u -p -r1.13 gethostbyname.3
> --- man3/gethostbyname.3	7 Dec 2005 05:58:39 -0000	1.13
> +++ man3/gethostbyname.3	13 Dec 2005 09:09:18 -0000
> @@ -231,6 +231,9 @@ resolver configuration file
>  .TP
>  .I /etc/hosts
>  host database file
> +.TP
> +.I /etc/nsswitch.conf
> +name service switch configuration
>  .SH "CONFORMING TO"
>  4.3BSD.
>  .SH "SYSV/POSIX EXTENSION"
> @@ -323,6 +326,7 @@ obsolescent. See
>  .BR inet_pton (3),
>  .BR resolver (3),
>  .BR hosts (5),
> +.BR nsswitch.conf (5),
>  .BR hostname (7),
>  .BR named (8),
>  .BR resolv+ (8)

Done -- for 2.18.

I also did the following:

@@ -149,8 +149,8 @@
 Information Service (NIS or YP), depending upon the contents of the
 \fIorder\fP line in
 .IR /etc/host.conf .
-(See
-.BR resolv+ (8)).
+.\" (See
+.\" .BR resolv+ (8)).
 The default action is to query
 .BR named (8),
 followed by


Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, read 
the HOWTOHELP file and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 07:41:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:49:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.